import { GitHub, OctokitAPIs, ReleaseCreateResponse } from './github';
export interface GitHubReleaseOptions {
    label: string;
    repoUrl: string;
    packageName?: string;
    token?: string;
    apiUrl: string;
    proxyKey?: string;
    octokitAPIs?: OctokitAPIs;
    releaseType?: string;
}
export declare class GitHubRelease {
    apiUrl: string;
    changelogPath: string;
    gh: GitHub;
    labels: string[];
    repoUrl: string;
    packageName?: string;
    token?: string;
    proxyKey?: string;
    releaseType?: string;
    constructor(options: GitHubReleaseOptions);
    createRelease(): Promise<ReleaseCreateResponse | undefined>;
    private gitHubInstance;
    static extractLatestReleaseNotes(changelogContents: string, version: string): string;
}
